Forums

Internet Explorer crash

Failing to install a stable Explorer browser on Ubuntu OS

Auteur Réponses
Fred789 Dimanche 1 Juillet 2018 à 14:43
Fred789Anonymous

Hello,

I have repreatedly tried to install PlayOnWine's Internet Explorer 8, 7 or 6 versions on my Ubuntu 16.04 OS (processor: Intel® Core™ i3-7100 CPU @ 3.90GHz × 4; graphics: Intel® HD Graphics 630 (Kaby Lake GT2)), yet always get the same results: "Internet Explorer cannot display the webpage" with winehq.org, or microsoft.com, or mail.com in the address bar.

I have followed the different instructions presented there, such as restarting the Internet connection, reconfiguring the security options of the Explorer browser, allowing https pages.

What comes next is Explorer crashing, followed by the PlayOnLinux Wizard window popping up.

Throughout my intents, the Wizard window would inform me it's an "error in main" and suggest to debug the program or that PlayOnLinux has found an error in POL_wine and that wine has crashed.

I have installed and uninstalled the Wine and PlayOnLinux packages over the last couple of days in case of a bug in the installation, whether manually in the Ubuntu terminal or downloading the packages from the developers.

The PlayOnLinux version I currently carry is the 4.2.12.

As for the Wine package, I have manually enabled a 32 bits library to have it installed, as it was showing as an error within the Ubuntu terminal window.

Then I have also ensured that my OS is fully updated and upgraded.

By now I can't really see any other option than getting in touch with PlayOnLinux and post my issue in the forum, as advised by the PlayOnLinux Wizard window.

This is my first post in the forum and I hope I have correctly observed all the customary rules.

Thank you.

Tutul Dimanche 1 Juillet 2018 à 16:35
Tutul
Modérateur

Can you open that website using it ? 
https://www.w3.org/TR/xhtml1/

If yes, it's may be related to html5 (unsupported by 8 and early version).


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
Fred789 Dimanche 1 Juillet 2018 à 18:09
Fred789Anonymous

Hi Tutul,

Thanks for answering.

I've tried your suggestion and in the first attempt, Explorer 8 crashed, whereas in the second attempt, I got the "Internet Explorer cannot display the webpage" message.

By the way, I did not message this in my initial post but the Wine package I got is the 1.7.22 version.

Edité par Fred789

Tutul Lundi 2 Juillet 2018 à 12:19
Tutul
Modérateur

It's seem that IE cannot be run with wine

https://appdb.winehq.org/objectManager.php?sClass=application&iId=25

 

Maybe try with a newer wine version


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
Fred789 Lundi 2 Juillet 2018 à 19:12
Fred789Anonymous

Hi Tutul,

I've uninstalled anything related to Playonlinux and Wine to reinstall these packages, first the Wine package, 3.11 version (with 32 bits architecture also installed), then the 4.2.12 version of Playonlinux.

I've proceeded to install IE 8 but the same as previously mentioned occurs.

I've copied the error lines from the Playonlinux debugger in case it can help:

err:ole:marshal_object couldn't get IPSFactory buffer for interface {f465adeb-62f6-4435-8183-857c07d99932}
err:ole:marshal_object couldn't get IPSFactory buffer for interface {f465adeb-62f6-4435-8183-857c07d99932}
err:ole:ClientIdentity_QueryMultipleInterfaces IRemUnknown_RemQueryInterface failed with error 0x80004002
err:ole:ClientIdentity_QueryMultipleInterfaces IRemUnknown_RemQueryInterface failed with error 0x80004002
err:toolbar:ToolbarWindowProc unknown msg 200b wp=00000000 lp=0033d718
err:toolbar:ToolbarWindowProc unknown msg 200b wp=00000000 lp=0033d718
err:rebar:REBAR_WindowProc unknown msg 200b wp=00000000 lp=00737124

Thanks

Tutul Lundi 2 Juillet 2018 à 22:36
Tutul
Modérateur

POL use it's own wine version. So we can provides specific wine version for each program. Because newer version of wine isn't always as compatible as older with specific program


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
Fred789 Mardi 3 Juillet 2018 à 6:31
Fred789Anonymous

What would be the most compatible version of Wine to install and run Explorer 8 through POL?

Or could you provide me with the proper Wine version to run Internet Explorer 8?

Edité par Fred789

Tutul Mardi 3 Juillet 2018 à 13:51
Tutul
Modérateur

As I see, you can try to change the wineversion (through the configuration panel) to 1.7.18 and open the wineconfiguration tool (in an other tab of that panel) and set to Vista.


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !